Bug 28911 - usb disk should be detected like usb keyboard/mouse
usb disk should be detected like usb keyboard/mouse
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-02-22 14:49 EST by Marty Shannon
Modified: 2014-03-16 22:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-22 19:01:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marty Shannon 2001-02-22 14:49:38 EST
In the same place in rc.sysinit that USB keyboard and mouse are detected
(in order to load modules), USB disks should be detected (to modprobe
usb-storage).  This would allow such disks to be mounted in the normal
sequence at boot time based on their entries in /etc/fstab.  The code is
cut & paste from the keyboard or mouse code.
Comment 1 Bill Nottingham 2001-02-22 18:10:03 EST
updfstab (from kudzu) should write the appropriate entries into /etc/fstab.
Comment 2 Marty Shannon 2001-02-22 19:01:23 EST
That's fine if kudzu is going to "modprobe usb-storage".  But what happens (as
in a laptop situation) when I boot with drive present, then boot without, then
boot with?  I'm still not convinced that kudzu is the answer for disk-like
devices.  I already have an issue with my Dell laptop when I shuffle a drive out
to put a battery in (usually it's on AC).
Comment 3 Bill Nottingham 2001-02-23 00:31:20 EST
updfstab is run on

a) boot
b) hotplug events

Still, perhaps loading usb-storage could be useful. Added; will be
in next initscripts build, but it really should go off to
its own script at some point.

Note You need to log in before you can comment on or make changes to this bug.